# Uses of Interface
org.sunflow.core.ImageSampler

Packages that use ImageSampler
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.renderer

## Uses of ImageSampler in org.sunflow

Fields in org.sunflow with type parameters of type ImageSampler
Modifier and Type
Field
Description
`static final Plugins<ImageSampler>`
PluginRegistry.`imageSamplerPlugins`

## Uses of ImageSampler in org.sunflow.core

Methods in org.sunflow.core with parameters of type ImageSampler
Modifier and Type
Method
Description
`void`
Scene.`render(Options options, ImageSampler sampler, Display display)`
Render the scene using the specified options, image sampler and display.

## Uses of ImageSampler in org.sunflow.core.renderer

Classes in org.sunflow.core.renderer that implement ImageSampler
Modifier and Type
Class
Description
`class`
`BucketRenderer`
`class`
`MultipassRenderer`
`class`
`ProgressiveRenderer`
`class`
`SimpleRenderer`